<div class="edit-profile card" *ngIf="profile$ | async as profile">
  <div class="title">Edit Profile</div>
  <br />
  <form novalidate="" [formGroup]="form" (ngSubmit)="onEditProfile(form)">
    <div class="grid center wrap">
      <div class="left">
        <img id="profile" *ngIf="profile$" class="image" [src]="getUrl(profile.image)" />
        <label class="file">
          <input
            formControlName="image"
            (change)="onSelectImage($event)"
            accept="image/*"
            type="file"
            onchange="document.getElementById('profile').src = window.URL.createObjectURL(this.files[0])"
          />
          Change
        </label>

        <div
          class="alert-danger"
          *ngIf="
            (!form.get('image').valid && form.get('image').touched) ||
            (form.get('image').untouched && formSubmitAttempt)
          "
        >
          This field is required!
        </div>
        <br />
        <label class="label">First Name</label>
        <input type="text" class="input" placeholder="First Name" formControlName="fname" />
        <div
          class="alert-danger"
          *ngIf="
            (!form.get('fname').valid && form.get('fname').touched) ||
            (form.get('fname').untouched && formSubmitAttempt)
          "
        >
          This field is required!
        </div>
        <label class="label">Email address</label>
        <input type="text" class="input" placeholder="Email" formControlName="email" readonly />
      </div>
      <div class="right">
        <img id="cover_photo" class="image cover" [src]="getUrl(profile.cover_photo)" />
        <label class="file">
          <input
            type="file"
            formControlName="cover_photo"
            (change)="onSelectCoverPhoto($event)"
            accept="image/*"
            onchange="document.getElementById('cover_photo').src = window.URL.createObjectURL(this.files[0])"
          />
          Change
        </label>

        <div
          class="alert-danger"
          *ngIf="
            (!form.get('cover_photo').valid && form.get('cover_photo').touched) ||
            (form.get('cover_photo').untouched && formSubmitAttempt)
          "
        >
          This field is required!
        </div>
        <br />
        <label class="label">Last Name</label>
        <input type="text" class="input" placeholder="Last Name" formControlName="lname" />
        <div
          class="alert-danger"
          *ngIf="
            (!form.get('lname').valid && form.get('lname').touched) ||
            (form.get('lname').untouched && formSubmitAttempt)
          "
        >
          This field is required!
        </div>
        <label class="label">Country</label>
        <ng-select
          placeholder="-- Select Country --"
          class="input custom"
          [items]="countries$ | async"
          bindLabel="country_name"
          bindValue="id"
          formControlName="country_id"
        ></ng-select>
        <div
          class="alert-danger"
          *ngIf="
            (!form.get('country_id').valid && form.get('country_id').touched) ||
            (form.get('country_id').untouched && formSubmitAttempt)
          "
        >
          This field is required!
        </div>
      </div>
      <div class="about-you">
        <label class="label">About you</label>
        <textarea rows="4" class="input" formControlName="description"></textarea>
        <div
          class="alert-danger"
          *ngIf="
            (!form.get('description').valid && form.get('description').touched) ||
            (form.get('description').untouched && formSubmitAttempt)
          "
        >
          This field is required!
        </div>
      </div>
      <button type="submit" class="login-btn button" [disabled]="!getSubmitButton()">
        Update
      </button>
      &nbsp;&nbsp;
      <button class="login-btn button" (click)="openExportPrivateKey()">
        Export Private Key
      </button>
      &nbsp;&nbsp;
      <button class="login-btn button" (click)="openSiriusIdModal()" *ngIf="!profile.session_token">
        Link Account with Sirius ID
      </button>
      &nbsp;&nbsp;
      <button class="login-btn button" (click)="setAccountAsPrivate()" *ngIf="profile.is_private != 1">
        Set Account as Private
      </button>
      <button class="login-btn button" (click)="setAccountAsPublic()" *ngIf="profile.is_private == 1">
        Set Account to Public
      </button>
    </div>
  </form>
</div>
